ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010911ClearOSclearos-frameworkpublic2016-10-11 06:352017-02-01 19:09
Reporterdloper 
Assigned Tobchambers 
PrioritylowSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.2.0 Updates 
Target Version7.3.0 Beta 1Fixed in Version7.3.0 Beta 1 
Summary0010911: Improvements to non-admin user
DescriptionWhen logging in as a non-admin user, a user is presented with a page instructing them that they are not able to view the page they wanted and given a button. This behavior should be automatic and the user should be redirected to their user profile page any time they don't have access to a link.

Second, non-admin users are able to see system notifications such as those telling them the authentications that have failed. This notification system should be disabled for non-admin users but should be selectable from app-administrators.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0012831closedbchambers Security: visibility of events 

-  Notes
(0004031)
bchambers (administrator)
2016-10-11 09:12

RE: "This behavior should be automatic and the user should be redirected to their user profile page any time they don't have access to a link."

I'm leaving this as 'will not fix' since it comes down to a usability/confusion issue if the user is trying to access a page they are not allowed to but never gets that message. Better for the developer to try and make sure this situation never or rarely occurs (see below);

RE:
"non-admin users are able to see system notifications such as those telling..."

A bug...fixed in next (7.3 beta) version (not bumping versions/re-rolling pkgs at this point).

- Issue History
Date Modified Username Field Change
2016-10-11 06:35 dloper New Issue
2016-10-11 09:09 bchambers Category app-base - Base System => clearos-framework
2016-10-11 09:09 bchambers Assigned To => bchambers
2016-10-11 09:09 bchambers Status new => assigned
2016-10-11 09:09 bchambers Status assigned => acknowledged
2016-10-11 09:09 bchambers Status acknowledged => confirmed
2016-10-11 09:12 bchambers Note Added: 0004031
2016-10-11 09:12 bchambers Status confirmed => resolved
2016-10-11 09:12 bchambers Fixed in Version => 7.3.0 Beta 1
2016-10-11 09:12 bchambers Resolution open => fixed
2016-11-16 09:12 pbaldwin Fixed in Version 7.3.0 Beta 1 => 7.3.0 Beta 1
2016-12-16 20:28 pbaldwin Status resolved => closed
2017-02-01 19:09 bchambers Relationship added has duplicate 0012831